Subject: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 18:53:59 +0100

Drew Adams <[email-masked]> writes:

>> It would be helpful to have a recipe.
>
> Sorry, but recent Emacs 25 snapshots I have just crash all
> the time.  I cannot use Emacs 25 for much of anything, I'm
> afraid.
>
> But I think the bug description here should be sufficient.
> In particular, does this not seem appropriate to consider?
>
>   Seems like whenever `y-or-n-p' (or just `read-key') is waiting
>   for a key, `message' should do nothing.  Either it should echo
>   its message after the key is read or (maybe better) it should
>   do nothing at all.  As it stands now, this seems like a basic
>   UI problem, not just a minor annoyance.

Fixing a bug without a test case is much harder than if you have a test
case.

Perhaps you could make a recipe in Emacs 24?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no